Bug 1264009 - floating disk dialog: Cinder - DataCenter select-box is disabled on error
floating disk dialog: Cinder - DataCenter select-box is disabled on error
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity high (vote)
: ovirt-3.6.0-ga
: 3.6.0
Assigned To: Daniel Erez
Ori Gofen
storage
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 06:13 EDT by Daniel Erez
Modified: 2017-11-19 05:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 06:30:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: planning_ack?
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 46287 master MERGED webadmin: floating disk dialog - ensure Data Center select-box Never
oVirt gerrit 46293 ovirt-engine-3.6 MERGED webadmin: floating disk dialog - ensure Data Center select-box Never

  None (edit)
Description Daniel Erez 2015-09-17 06:13:22 EDT
Description of problem:
Disks main-tab -> New Virtual Disk dialog -> Cinder:
when there's no available Cinder storage domain in the
selected DC, the dialog's widgets should be disabled.
However, the 'Data Center' select-box should remain enabled
to allow selecting an applicable DC for creating a Cinder disk.

Version-Release number of selected component (if applicable):
3.6

How reproducible:
100%

Steps to Reproduce:
1. In a multiple DC environment:
   a DC with an active Cinder storage domain / a DC without one.
1. Navigate to 'Disks main-tab -> New Virtual Disk dialog'
2. Select Cinder
3. Select the DC without an active Cinder domain
4. All widgets are disabled including 'Data Center' select-box

Actual results:
DC select-box is disabled.

Expected results:
DC select-box should remain enabled.
Comment 1 Ori Gofen 2015-10-19 08:19:22 EDT
rhevm-3.6.0.1-0.1.el6.noarch
Comment 2 Sandro Bonazzola 2015-11-04 06:30:15 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.